%global pypi_name kerberos

Name:           python%{python3_pkgversion}-%{pypi_name}
Version:        1.2.5
Release:        1%{?dist}
Summary:        Kerberos high-level interface

License:        Apache License, Version 2.0
URL:            http://www.calendarserver.org/
Source0:        https://files.pythonhosted.org/packages/source/k/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

Requires:       python(abi) >= 3.4

BuildRequires:  krb5-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-devel

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description
This Python package is a high-level wrapper for Kerberos (GSSAPI) operations.
The goal is to avoid having to build a module that wraps the entire
Kerberos framework, and instead offer a limited set of functions that do what
is needed for client/server Kerberos authentication based on
<http://www.ietf.org/rfc/rfc4559.txt>.

%prep
%setup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%doc README.rst
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitearch}/%{pypi_name}.*.so

%changelog
* Mon Aug 15 2016 Daniel Uvehag <daniel.uvehag@gmail.com> - 1.2.5-1
- Initial package.
